For the complete documentation index, see llms.txt. This page is also available as Markdown.

Cancel Payment

Cancels an existing payment instruction. Only payments in PENDING or FAILED status can be cancelled.

POST /payments/payments/cancel

Body parameters - Request

Name
Type
Description
Required

id

string

The payment request ID to be cancelled

Yes

cancel_reason

string

A reason for the cancellation

Body parameters - Response

Name
Type
Description

id

string

Unique payment identifier

correlation_id

string

External tracking identifier

purpose

string

4-letter ISO-20022 payment purpose code

source.type / source.id

string

Entity type and ID that originated the payment

target.type / target.id

string

Entity type and ID of the payment recipient

info.status

boolean

Payment status

info.funding

object

Funding currency and amount

info.credit

object

Credited currency and amount

info.error

object

Error details if applicable

amount.type

string

LAND or SEND — whether amount represents credited or debited funds

amount.amount

number

Payment value

amount.currency

string

3-letter ISO currency code

execution.date

DateTime

Scheduled payment execution date

final.is_final

boolean

Indicates whether the amount is final

attachments

array

List of attached documents

approved

boolean

Whether the payment was approved prior to cancellation

user_tags

object

Custom key/value tags associated with the payment

Request Example

Response Examples

Last updated